<?php

  chdir('/sciezka/do/wyslane/');

  // wersja exec
  echo '<h1>Stosowanie funkcji exec()</h1>';
  echo '<pre>';

  // unix
  exec('ls -la', $wynik);

  // windows
  // exec('dir', $wynik);

  foreach ($wynik as $wiersz)
  {
    echo $wiersz.PHP_EOL;
  }

  echo '</pre>';
  echo '<hr />';
 
  // wersja passthru
  echo '<h1>Stosowanie funkcji passthru()</h1>';
  echo '<pre>';

  // unix
  passthru('ls -la');

  // windows
  // passthru('dir');

  echo '</pre>';
  echo '<hr />';

  // wersja system
  echo '<h1>Stosowanie funkcji system()</h1>';
  echo '<pre>';

  //unix
  $wynik=system('ls -la');

  // windows
  // $wynik=system('dir');

  echo '</pre>';
  echo '<hr />';

  // wersja z odwróconymi apostrofami
  echo '<h1>Stosowanie odwróconych apostrofów</h1>';
  echo '<pre>';

  // unix
  $wynik=`ls -la`;

  // windows
  // $wynik = `dir`;

  echo $wynik;
  echo '</pre>';

?>
